Summary:	Displays the users logged into machines on the local network
Name:		rusers
Version:	0.17
Release: 	10mdk
License:	BSD
Group:		Monitoring

Source:		ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-rusers-%{version}.tar.bz2
Source1:	rusersd.init
Source2:	rstatd.tar.bz2
Source3:	rstatd.init
Patch0:		rstatd-jbj.patch.bz2
Patch1:		netkit-rusers-0.15-numusers.patch.bz2
Patch2:		rusers-0.15-libproc.patch.bz2
Patch3: netkit-rusers-0.17-2.4.patch.bz2
Patch4: netkit-rusers-0.17-includes.patch.bz2

Prereq:		/sbin/chkconfig
Buildroot:	%_tmppath/%name-%version-%release-root
BuildRequires:	procps-devel

%description
The rusers program allows users to find out who is logged into various
machines on the local network.  The rusers command produces output
similar to who, but for the specified list of hosts or for all
machines on the local network.

Install rusers if you need to keep track of who is logged into your
local network.

%package server
Summary: Server for the rusers protocol.
Group: System/Servers
Prereq: rpm-helper
Requires: portmap

%description server
The rusers program allows users to find out who is logged into various
machines on the local network.  The rusers command produces output
similar to who, but for the specified list of hosts or for all
machines on the local network. The rusers-server package contains the
server for responding to rusers requests. (rpc.rusersd, rpc.rstatd)

Install rusers-server if you want remote users to be able to see
who is logged into your machine.

%prep
%setup -q -n netkit-rusers-%{version} -a 2
%patch0 -p1 -b .jbj
%patch1 -p1 -b .numusers
%patch2 -p1 -b .warly
%patch3 -p1 -b .mdk
%patch4 -p1 -b .mdk

%build
%serverbuild
sh configure
perl -pi -e 's,-O2,\$(RPM_OPT_FLAGS),' MCONFIG

%make
%make -C rpc.rstatd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man8}

make INSTALLROOT=$RPM_BUILD_ROOT install MANDIR=%{_mandir}
make INSTALLROOT=$RPM_BUILD_ROOT install -C rpc.rstatd MANDIR=%{_mandir}

install -m 755 %SOURCE1 $RPM_BUILD_ROOT%{_initrddir}/rusersd
install -m 755 %SOURCE3 $RPM_BUILD_ROOT%{_initrddir}/rstatd

cd $RPM_BUILD_ROOT%{_mandir}/man8
for i in rstatd rusersd; do
	rm $i.8
	ln -s rpc.$i.8.bz2 $i.8.bz2
done

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post server
%_post_service rusersd
%_post_service rstatd

%preun server
%_preun_service rusersd
%_preun_service rstatd

%files
%defattr(-,root,root)
%{_bindir}/rup
%{_bindir}/rusers
%{_mandir}/man1/*

%files server
%defattr(-,root,root)
%doc  README ChangeLog BUGS
%{_mandir}/man8/*
%{_sbindir}/*
%config(noreplace) %{_initrddir}/rusersd
%config(noreplace) %{_initrddir}/rstatd

%changelog
* Mon Jan 19 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.17-10mdk
- rebuild against new libproc

* Mon Aug 04 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.17-9mdk
- rebuild
- don't be lame and lazy, define MANDIR variable and have man pages installed
  at correct place when doing 'make install'
- use %%make macro

* Tue Mar  4 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.17-8mdk
- rebuild against new libproc (package wouldn't install otherwise)

* Wed Oct 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.17-7mdk
- rebuild against procps-2.0.10, rpmlint fixes

* Thu Oct 04 2001 Philippe Libat <philippe@mandrakesoft.com> 0.17-6mdk
- fix typo in rstatd.init

* Mon Oct 01 2001 Philippe Libat <philippe@mandrakesoft.com> 0.17-5mdk
- include 2.4 fix
- split in 2 parts

* Fri Mar 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.17-4mdk
- use new server macros
- use config(noreplace) for initscripts

* Wed Jan 10 2001 David BAUDENS <baudens@mandrakesoft.com> 0.17-3mdk
- BuildRequires: procps-devel

* Wed Aug 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-2mdk
- rebuild for the _initrddir macro.

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-1mdk
- re build for new version

* Thu Apr 12 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.16-2mdk
- Fix bad tag value.

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.16-1mdk
- 0.16

* Mon Jan 03 2000 Florent Villard <warly@mandrakesoft.com> 0.15-6mdk
- Fix the libproc problem

* Fri Dec 31 1999 Florent Villard <warly@mandrakesoft.com> 0.15-5mdk
- Rebuild to change the libproc-2.0.6 requires in libproc-2.0

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild with libproc-2.0.6.

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Fri Oct 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with rh patchs.
- 0.15.

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Tue Apr  6 1999 Jeff Johnson <jbj@redhat.com>
- add rpc.rstatd (#2000)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- added %{_initrddir}/functions to the init script

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscript

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- added init script
- users %attr
- supports chkconfig

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
